# Class AccessibleResourceBundle

java.lang.Object
java.util.ResourceBundle
java.util.ListResourceBundle
javax.accessibility.AccessibleResourceBundle

@Deprecated public class AccessibleResourceBundle extends ListResourceBundle
Deprecated.
This class is deprecated as of version 1.3 of the Java Platform
A resource bundle containing the localized strings in the accessibility package. This is meant only for internal use by Java Accessibility and is not meant to be used by assistive technologies or applications.

## Nested Class Summary

### Nested classes/interfaces declared in class ResourceBundle

`ResourceBundle.Control`
Modifier and Type
Class
Description
`static class`
`ResourceBundle.Control`
`ResourceBundle.Control` defines a set of callback methods that are invoked by the `ResourceBundle.getBundle` factory methods during the bundle loading process.

## Field Summary

### Fields declared in class ResourceBundle

`parent`
Modifier and Type
Field
Description
`protected ResourceBundle`
`parent`
The parent bundle of this bundle.

## Constructor Summary

Constructors
Constructor
Description
`AccessibleResourceBundle()`
Deprecated.
Constructs an `AccessibleResourceBundle`.

## Method Summary

Modifier and Type
Method
Description
`Object[][]`
`getContents()`
Deprecated.
Returns the mapping between the programmatic keys and the localized display strings.

### Methods declared in class ListResourceBundle

`getKeys, handleGetObject, handleKeySet`
Modifier and Type
Method
Description
`Enumeration<String>`
`getKeys()`
Returns an `Enumeration` of the keys contained in this `ResourceBundle` and its parent bundles.
`final Object`
`handleGetObject(String key)`
Gets an object for the given key from this resource bundle.
`protected Set<String>`
`handleKeySet()`
Returns a `Set` of the keys contained only in this `ResourceBundle`.

### Methods declared in class ResourceBundle

`clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, keySet, setParent`
Modifier and Type
Method
Description
`static final void`
`clearCache()`
Removes all resource bundles from the cache that have been loaded by the caller's module.
`static final void`
`clearCache(ClassLoader loader)`
Removes all resource bundles from the cache that have been loaded by the given class loader.
`boolean`
`containsKey(String key)`
Determines whether the given `key` is contained in this `ResourceBundle` or its parent bundles.
`String`
`getBaseBundleName()`
Returns the base name of this bundle, if known, or `null` if unknown.
`static final ResourceBundle`
`getBundle(String baseName)`
Gets a resource bundle using the specified base name, the default locale, and the caller module.
`static ResourceBundle`
`getBundle(String baseName, Module module)`
Gets a resource bundle using the specified base name and the default locale on behalf of the specified module.
`static final ResourceBundle`
`getBundle(String baseName, Locale locale)`
Gets a resource bundle using the specified base name and locale, and the caller module.
`static ResourceBundle`
`getBundle(String baseName, Locale locale, ClassLoader loader)`
Gets a resource bundle using the specified base name, locale, and class loader.
`static ResourceBundle`
`getBundle(String baseName, Locale targetLocale, ClassLoader loader, ResourceBundle.Control control)`
Returns a resource bundle using the specified base name, target locale, class loader and control.
`static ResourceBundle`
`getBundle(String baseName, Locale targetLocale, Module module)`
Gets a resource bundle using the specified base name and locale on behalf of the specified module.
`static final ResourceBundle`
`getBundle(String baseName, Locale targetLocale, ResourceBundle.Control control)`
Returns a resource bundle using the specified base name, target locale and control, and the caller's class loader.
`static final ResourceBundle`
`getBundle(String baseName, ResourceBundle.Control control)`
Returns a resource bundle using the specified base name, the default locale and the specified control.
`Locale`
`getLocale()`
Returns the locale of this resource bundle.
`final Object`
`getObject(String key)`
Gets an object for the given key from this resource bundle or one of its parents.
`final String`
`getString(String key)`
Gets a string for the given key from this resource bundle or one of its parents.
`final String[]`
`getStringArray(String key)`
Gets a string array for the given key from this resource bundle or one of its parents.
`Set<String>`
`keySet()`
Returns a `Set` of all keys contained in this `ResourceBundle` and its parent bundles.
`protected void`
`setParent(ResourceBundle parent)`
Sets the parent bundle of this bundle.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### AccessibleResourceBundle

public AccessibleResourceBundle()
Deprecated.
Constructs an `AccessibleResourceBundle`.

## Method Details

### getContents

public Object[][] getContents()
Deprecated.
Returns the mapping between the programmatic keys and the localized display strings.

Specified by:
  `getContents` in class `ListResourceBundle`
Returns:
  an array of an `Object` array representing a key-value pair